# Defold Druid UI Library

# Module `Hover`

Component to handle hover node interaction

## Functions

init(self, node, on_hover_callback) | Component init function
set_hover(self, state) | Set hover state
set_mouse_hover(self, state) | Set mouse hover state
set_click_zone(self, zone) | Strict hover click area.
set_enabled(self, state) | Set enable state of hover component.
is_enabled(self) | Return current hover enabled state

## Fields

on_hover | On hover callback(self, state)
on_mouse_hover | On mouse hover callback(self, state)

## Functions

init(self, node, on_hover_callback)
  Component init function

  ### Parameters:

  - self Hover
  - node node Gui node
  - on_hover_callback function Hover callback
set_hover(self, state)
  Set hover state

  ### Parameters:

  - self Hover
  - state bool The hover state
set_mouse_hover(self, state)
  Set mouse hover state

  ### Parameters:

  - self Hover
  - state bool The mouse hover state
set_click_zone(self, zone)
  Strict hover click area. Useful for no click events outside stencil node

  ### Parameters:

  - self Hover
  - zone node Gui node
set_enabled(self, state)
  Set enable state of hover component. If hover is not enabled, it will not generate any hover events

  ### Parameters:

  - self Hover
  - state bool The hover enabled state
is_enabled(self)
  Return current hover enabled state

  ### Parameters:

  - self Hover

  ### Returns:

  bool The hover enabled state

## Fields

on_hover
  On hover callback(self, state)
  - on_hover druid_event
on_mouse_hover
  On mouse hover callback(self, state)
  - on_mouse_hover druid_event

generated by LDoc 1.4.6 Last updated 2021-04-06 00:03:14